Distributing Standalone Android Wear 2.0 app

Hi everyone,

I'm trying to release first android wear 2.0 app as standalone app and have some troubles with this.
App is tested on my Polar M600 and simulator and works well. APK is uploaded to test channel, screenshots and other stuff is filled.

  1. First problem is this: "Supported Android devices 0 devices"
  2. Second is disabled checkbox to distribute app on android wear under "Pricing & distribution - Device categories"

I've googled a lot but could not find some info about it.

Any help is appreciated.

Tnx
Vlad

Posts

  • VladimirDjordjevicVladimirDjordjevic USMember ✭✭

    I guess something is wrong with manifest but not sure what.
    Here is how it looks
    <?xml version="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" android:versionName="1.0" package="com.testapp.testapp" android:installLocation="auto" android:versionCode="6"> <uses-sdk android:minSdkVersion="25" /> <uses-feature android:name="com.google.android.wearable.standalone" android:value="true" /> <uses-permission android:name="android.permission.BODY_SENSORS" /> <uses-permission android:name="android.permission.VIBRATE" /> <application android:label="My Test App" android:theme="@android:style/Theme.DeviceDefault" android:icon="@drawable/Icona"> <meta-data android:name="com.google.android.wearable.standalone" android:value="true" /> </application> </manifest>

  • SK546544SK546544 FIMember

    I'm having the same issue with M600, did you find any solution for this?

  • VladimirDjordjevicVladimirDjordjevic USMember ✭✭
    edited August 2017

    Hi Sami,

    here is how you should configure your manifest:

    <?xml version="1.0" encoding="utf-8"?>
    <manifest xmlns:android="http://schemas.android.com/apk/res/android" android:versionName="3.0" package="com.test.test" android:installLocation="auto" android:versionCode="51">
        <uses-sdk android:minSdkVersion="23" />
        <uses-feature android:name="android.hardware.type.watch" />
        <uses-permission android:name="android.permission.BODY_SENSORS" />
        <application android:label="Test App" android:theme="@android:style/Theme.DeviceDefault" android:icon="@drawable/Icona">
            <meta-data android:name="com.google.android.wearable.standalone" android:value="true" />
        </application>
    </manifest>
    
  • SK546544SK546544 FIMember
    edited August 2017

    @VladimirDjordjevic said:
    Hi Sami,

    here is how you should configure your manifest:

    <?xml version="1.0" encoding="utf-8"?>
    <manifest xmlns:android="http://schemas.android.com/apk/res/android" android:versionName="3.0" package="com.test.test" android:installLocation="auto" android:versionCode="51">
      <uses-sdk android:minSdkVersion="23" />
      <uses-feature android:name="android.hardware.type.watch" />
      <uses-permission android:name="android.permission.BODY_SENSORS" />
      <application android:label="Test App" android:theme="@android:style/Theme.DeviceDefault" android:icon="@drawable/Icona">
          <meta-data android:name="com.google.android.wearable.standalone" android:value="true" />
      </application>
    </manifest>
    

    Hey, Vladimir!
    Thanks! It seems all I lacked was:
    android:minSdkVersion="23"

    Funny, that Google Play added some wearabled as "supported" devices but for some it seem to be mandatory to add a minSdkVersion.

  • BradCunninghamBradCunningham USBeta, Developer Group Leader ✭✭

    Hi Vladimir,

    I am struggling to just get my 2.0 app compiling. See here: https://forums.xamarin.com/discussion/101754/new-wear-2-0-app-throwing-msbuild-compile-error

    Did you find any helpful guides online to follow? Or do you have any tips?

    Thanks

  • Hi Brad,

    did you try to downgrade Xamarin.Android.Wear package to latest release version?

    Vlada

Sign In or Register to comment.